#!/usr/bin/env python
# read hadisst data
# SJP 2006-10-19 


# path of data to append year to
stem= "./HadISST_1_1_SST_"

# simple routine to read an integer from string 
def read6(s):
    i = int(s[0:6])
    s =s[6:]
    return i,s

# loop over year range
for y in range(1999,2007):
    f=open("%s%s" % (stem, y))
    # for each year read 12 months
    for m in range(12): 
	l=f.readline()
	month, year = l.split()
	month = int(month)
	year = int(year)
	# for each month block read 180 lines
	for j in range(180): 
	    lat = 89.5 - j  
	    l=f.readline()
	    # for each line read 360 longitude points 
	    for k in range(360):
        	lon = -179.5 + k  
        	i,l =  read6(l)
		# just dump out one point 
        	if lat> 51 and lat <52 and lon>-6 and lon<-5: print y, month, lat, lon, i
  
